Bug 233569 - Hang in evolution
Hang in evolution
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-23 06:03 EDT by Kjartan Maraas
Modified: 2008-04-07 09:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 09:01:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2007-03-23 06:03:44 EDT
Description of problem:

I get sporadic hangs in evolution that look like they are related to cairo.
I'm running rawhide from 22.03.2007 with cairo 1.4.2 etc.
Backtrace from gdb:

0x005fb402 in __kernel_vsyscall ()
(gdb) bt
#0  0x005fb402 in __kernel_vsyscall ()
#1  0x03d78a83 in poll () from /lib/libc.so.6
#2  0x056659d9 in ?? () from /usr/lib/libX11.so.6
#3  0x05665dbf in _XRead () from /usr/lib/libX11.so.6
#4  0x05666784 in _XReply () from /usr/lib/libX11.so.6
#5  0x05646e3c in XGetImage () from /usr/lib/libX11.so.6
#6  0x00805619 in _get_image_surface (surface=0xa931e00, 
    interest_rect=<value optimized out>, image_out=0xbf80b9c4, 
    image_rect=0xbf80ba60) at cairo-xlib-surface.c:561
#7  0x0080594a in _cairo_xlib_surface_acquire_dest_image (
    abstract_surface=0xa931e00, interest_rect=0xbf80ba54, 
    image_out=0xbf80ba5c, image_rect_out=0xbf80ba60, image_extra=0xbf80ba68)
    at cairo-xlib-surface.c:830
#8  0x007df840 in _cairo_surface_acquire_dest_image (surface=0x1, 
    interest_rect=0xbf80ba54, image_out=0xbf80ba5c, image_rect=0xbf80ba60, 
    image_extra=0xbf80ba68) at cairo-surface.c:932
#9  0x007e15b8 in _fallback_init (state=0xbf80ba50, dst=0xffffffff, x=1, y=35, 
    width=15, height=15) at cairo-surface-fallback.c:76
#10 0x007e163c in _cairo_surface_fallback_composite_trapezoids (
    op=CAIRO_OPERATOR_OVER, pattern=0xbf80c234, dst=0xa931e00, 
    antialias=CAIRO_ANTIALIAS_DEFAULT, src_x=266, src_y=35, dst_x=266, 
    dst_y=35, width=15, height=15, traps=0xa392c50, num_traps=46)
    at cairo-surface-fallback.c:1139
---Type <return> to continue, or q <return> to quit---
#11 0x007dfcb5 in _cairo_surface_composite_trapezoids (op=CAIRO_OPERATOR_OVER, 
    pattern=0xbf80c234, dst=0xa931e00, antialias=CAIRO_ANTIALIAS_DEFAULT, 
    src_x=266, src_y=35, dst_x=266, dst_y=35, width=15, height=15, 
    traps=0xa392c50, num_traps=46) at cairo-surface.c:1425
#12 0x007e2da0 in _composite_traps_draw_func (closure=0xbf80bf48, 
    op=CAIRO_OPERATOR_OVER, src=0xbf80c234, dst=0xa931e00, dst_x=0, dst_y=0, 
    extents=0xbf80bf50) at cairo-surface-fallback.c:492
#13 0x007e2023 in _clip_and_composite (clip=0xa5592a4, op=CAIRO_OPERATOR_OVER, 
    src=0xbf80c234, draw_func=0x7e2cf0 <_composite_traps_draw_func>, 
    draw_closure=0xbf80bf48, dst=0xa931e00, extents=0xbf80bf50)
    at cairo-surface-fallback.c:391
#14 0x007e28f6 in _clip_and_composite_trapezoids (src=0xffffffff, 
    op=3898100906, dst=0xa931e00, traps=0xbf80bfa8, clip=0xa5592a4, 
    antialias=CAIRO_ANTIALIAS_DEFAULT) at cairo-surface-fallback.c:644
#15 0x007e2e6e in _cairo_surface_fallback_stroke (surface=0xa931e00, 
    op=CAIRO_OPERATOR_OVER, source=0xbf80c234, path=0xa559364, 
    stroke_style=0xa559230, ctm=0xbf80c2f8, ctm_inverse=0xbf80c2c8, 
    tolerance=0.10000000000000001, antialias=CAIRO_ANTIALIAS_DEFAULT)
    at cairo-surface-fallback.c:801
#16 0x007e087b in _cairo_surface_stroke (surface=0xa931e00, 
    op=CAIRO_OPERATOR_OVER, source=0xbf80c378, path=0xa559364, 
    stroke_style=0xa559230, ctm=0xa5592cc, ctm_inverse=0xa5592fc, 
    tolerance=0.10000000000000001, antialias=CAIRO_ANTIALIAS_DEFAULT)
---Type <return> to continue, or q <return> to quit---
    at cairo-surface.c:1336
#17 0x007d38a3 in _cairo_gstate_stroke (gstate=0xa559220, path=0xa559364)
    at cairo-gstate.c:892
#18 0x007cc3ec in *INT_cairo_stroke_preserve (cr=0xa559200) at cairo.c:2006
#19 0x007cc422 in cairo_stroke (cr=0xa559200) at cairo.c:1982
#20 0x0456a108 in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
#21 0x04567c48 in ?? () from /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
#22 0x0119708a in IA__gtk_paint_box (style=0xa562900, window=0xa57a218, 
    state_type=GTK_STATE_INSENSITIVE, shadow_type=GTK_SHADOW_OUT, 
    area=0xbf80c7b8, widget=0xa1f93a0, detail=0x130605b "vscrollbar", x=266, 
    y=35, width=15, height=15) at gtkstyle.c:5880
#23 0x011632c2 in draw_stepper (range=0xa1f93a0, rect=0xa3a9408, 
    arrow_type=GTK_ARROW_UP, clicked=0, prelighted=0, area=0xbf80c860)
    at gtkrange.c:1117
#24 0x011635ae in gtk_range_expose (widget=0xa1f93a0, event=0xccaaf28)
    at gtkrange.c:1372
#25 0x01125c40 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa1eac00, 
    return_value=0xbf80ca20, n_param_values=2, param_values=0xbf80cafc, 
    invocation_hint=0xbf80ca0c, marshal_data=0x1163450) at gtkmarshalers.c:84
#26 0x008be589 in g_type_class_meta_marshal (closure=0xa1eac00, 
    return_value=0xbf80ca20, n_param_values=2, param_values=0xbf80cafc, 
    invocation_hint=0xbf80ca0c, marshal_data=0xc8) at gclosure.c:567
#27 0x008bfe7d in IA__g_closure_invoke (closure=0xa1eac00, 
---Type <return> to continue, or q <return> to quit---
    return_value=0xbf80ca20, n_param_values=2, param_values=0xbf80cafc, 
    invocation_hint=0xbf80ca0c) at gclosure.c:490
#28 0x008d0a83 in signal_emit_unlocked_R (node=0xa1eaa58, detail=0, 
    instance=0xa1f93a0, emission_return=0xbf80ccbc, 
    instance_and_params=0xbf80cafc) at gsignal.c:2478
#29 0x008d171f in IA__g_signal_emit_valist (instance=0xa1f93a0, signal_id=90, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#30 0x008d1b19 in IA__g_signal_emit (instance=0xa1f93a0, signal_id=90, 
    detail=0) at gsignal.c:2243
#31 0x0123ab48 in gtk_widget_event_internal (widget=0xa1f93a0, event=0xccaaf28)
    at gtkwidget.c:3915
#32 0x0108e9f7 in IA__gtk_container_propagate_expose (container=0xa1e0188, 
    child=0xa1f93a0, event=0xca44f80) at gtkcontainer.c:2461
#33 0x0108ea61 in gtk_container_expose_child (child=0xa1f93a0, 
    client_data=0xbf80ce34) at gtkcontainer.c:2349
#34 0x0117d3f2 in gtk_scrolled_window_forall (container=0xa1e0188, 
    include_internals=1, callback=0x108ea40 <gtk_container_expose_child>, 
    callback_data=0xbf80ce34) at gtkscrolledwindow.c:997
#35 0x0108f44b in IA__gtk_container_forall (container=0xa1e0188, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80ce34)
    at gtkcontainer.c:1261
#36 0x0108f53f in gtk_container_expose (widget=0xa1e0188, event=0xca44f80)
    at gtkcontainer.c:2372
---Type <return> to continue, or q <return> to quit---
#37 0x0117f9ad in gtk_scrolled_window_expose (widget=0xa1e0188, 
    event=0xca44f80) at gtkscrolledwindow.c:971
#38 0x01125c40 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa1eac00, 
    return_value=0xbf80d030, n_param_values=2, param_values=0xbf80d10c, 
    invocation_hint=0xbf80d01c, marshal_data=0x117f950) at gtkmarshalers.c:84
#39 0x008be589 in g_type_class_meta_marshal (closure=0xa1eac00, 
    return_value=0xbf80d030, n_param_values=2, param_values=0xbf80d10c, 
    invocation_hint=0xbf80d01c, marshal_data=0xc8) at gclosure.c:567
#40 0x008bfe7d in IA__g_closure_invoke (closure=0xa1eac00, 
    return_value=0xbf80d030, n_param_values=2, param_values=0xbf80d10c, 
    invocation_hint=0xbf80d01c) at gclosure.c:490
#41 0x008d0a83 in signal_emit_unlocked_R (node=0xa1eaa58, detail=0, 
    instance=0xa1e0188, emission_return=0xbf80d2cc, 
    instance_and_params=0xbf80d10c) at gsignal.c:2478
#42 0x008d171f in IA__g_signal_emit_valist (instance=0xa1e0188, signal_id=90, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#43 0x008d1b19 in IA__g_signal_emit (instance=0xa1e0188, signal_id=90, 
    detail=0) at gsignal.c:2243
#44 0x0123ab48 in gtk_widget_event_internal (widget=0xa1e0188, event=0xca44f80)
    at gtkwidget.c:3915
#45 0x0108e9f7 in IA__gtk_container_propagate_expose (container=0xa3a6860, 
    child=0xa1e0188, event=0xa3a6c68) at gtkcontainer.c:2461
#46 0x0108ea61 in gtk_container_expose_child (child=0xa1e0188, 
---Type <return> to continue, or q <return> to quit---
    client_data=0xbf80d434) at gtkcontainer.c:2349
#47 0x01053d50 in gtk_box_forall (container=0xa3a6860, include_internals=1, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80d434)
    at gtkbox.c:670
#48 0x0108f44b in IA__gtk_container_forall (container=0xa3a6860, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80d434)
    at gtkcontainer.c:1261
#49 0x0108f53f in gtk_container_expose (widget=0xa3a6860, event=0xa3a6c68)
    at gtkcontainer.c:2372
#50 0x01125c40 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa1eac00, 
    return_value=0xbf80d5d0, n_param_values=2, param_values=0xbf80d6ac, 
    invocation_hint=0xbf80d5bc, marshal_data=0x108f490) at gtkmarshalers.c:84
#51 0x008be589 in g_type_class_meta_marshal (closure=0xa1eac00, 
    return_value=0xbf80d5d0, n_param_values=2, param_values=0xbf80d6ac, 
    invocation_hint=0xbf80d5bc, marshal_data=0xc8) at gclosure.c:567
#52 0x008bfe7d in IA__g_closure_invoke (closure=0xa1eac00, 
    return_value=0xbf80d5d0, n_param_values=2, param_values=0xbf80d6ac, 
    invocation_hint=0xbf80d5bc) at gclosure.c:490
#53 0x008d0a83 in signal_emit_unlocked_R (node=0xa1eaa58, detail=0, 
    instance=0xa3a6860, emission_return=0xbf80d86c, 
    instance_and_params=0xbf80d6ac) at gsignal.c:2478
#54 0x008d171f in IA__g_signal_emit_valist (instance=0xa3a6860, signal_id=90, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
---Type <return> to continue, or q <return> to quit---
#55 0x008d1b19 in IA__g_signal_emit (instance=0xa3a6860, signal_id=90, 
    detail=0) at gsignal.c:2243
#56 0x0123ab48 in gtk_widget_event_internal (widget=0xa3a6860, event=0xa3a6c68)
    at gtkwidget.c:3915
#57 0x0108e9f7 in IA__gtk_container_propagate_expose (container=0xa3a69f0, 
    child=0xa3a6860, event=0xa3a6c18) at gtkcontainer.c:2461
#58 0x0108ea61 in gtk_container_expose_child (child=0xa3a6860, 
    client_data=0xbf80d9d4) at gtkcontainer.c:2349
#59 0x01053d50 in gtk_box_forall (container=0xa3a69f0, include_internals=1, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80d9d4)
    at gtkbox.c:670
#60 0x0108f44b in IA__gtk_container_forall (container=0xa3a69f0, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80d9d4)
    at gtkcontainer.c:1261
#61 0x0108f53f in gtk_container_expose (widget=0xa3a69f0, event=0xa3a6c18)
    at gtkcontainer.c:2372
#62 0x01125c40 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa1eac00, 
    return_value=0xbf80db70, n_param_values=2, param_values=0xbf80dc4c, 
    invocation_hint=0xbf80db5c, marshal_data=0x108f490) at gtkmarshalers.c:84
#63 0x008be589 in g_type_class_meta_marshal (closure=0xa1eac00, 
    return_value=0xbf80db70, n_param_values=2, param_values=0xbf80dc4c, 
    invocation_hint=0xbf80db5c, marshal_data=0xc8) at gclosure.c:567
#64 0x008bfe7d in IA__g_closure_invoke (closure=0xa1eac00, 
---Type <return> to continue, or q <return> to quit---
    return_value=0xbf80db70, n_param_values=2, param_values=0xbf80dc4c, 
    invocation_hint=0xbf80db5c) at gclosure.c:490
#65 0x008d0a83 in signal_emit_unlocked_R (node=0xa1eaa58, detail=0, 
    instance=0xa3a69f0, emission_return=0xbf80de0c, 
    instance_and_params=0xbf80dc4c) at gsignal.c:2478
#66 0x008d171f in IA__g_signal_emit_valist (instance=0xa3a69f0, signal_id=90, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#67 0x008d1b19 in IA__g_signal_emit (instance=0xa3a69f0, signal_id=90, 
    detail=0) at gsignal.c:2243
#68 0x0123ab48 in gtk_widget_event_internal (widget=0xa3a69f0, event=0xa3a6c18)
    at gtkwidget.c:3915
#69 0x0108e9f7 in IA__gtk_container_propagate_expose (container=0xa46b860, 
    child=0xa3a69f0, event=0xbf80e524) at gtkcontainer.c:2461
#70 0x0108ea61 in gtk_container_expose_child (child=0xa3a69f0, 
    client_data=0xbf80df74) at gtkcontainer.c:2349
#71 0x010500ff in gtk_bin_forall (container=0xa46b860, include_internals=1, 
    callback=0x1, callback_data=0xbf80df74) at gtkbin.c:133
#72 0x0108f44b in IA__gtk_container_forall (container=0xa46b860, 
    callback=0x108ea40 <gtk_container_expose_child>, callback_data=0xbf80df74)
    at gtkcontainer.c:1261
#73 0x0108f53f in gtk_container_expose (widget=0xa46b860, event=0xbf80e524)
    at gtkcontainer.c:2372
#74 0x01250981 in gtk_window_expose (widget=0xa46b860, event=0xbf80e524)
---Type <return> to continue, or q <return> to quit---
    at gtkwindow.c:6072
#75 0x002f1cd4 in ?? () from /usr/lib/libbonoboui-2.so.0
#76 0x01125c40 in _gtk_marshal_BOOLEAN__BOXED (closure=0xa1eac00, 
    return_value=0xbf80e150, n_param_values=2, param_values=0xbf80e22c, 
    invocation_hint=0xbf80e13c, marshal_data=0x2f1c90) at gtkmarshalers.c:84
#77 0x008be589 in g_type_class_meta_marshal (closure=0xa1eac00, 
    return_value=0xbf80e150, n_param_values=2, param_values=0xbf80e22c, 
    invocation_hint=0xbf80e13c, marshal_data=0xc8) at gclosure.c:567
#78 0x008bfd9b in IA__g_closure_invoke (closure=0xa1eac00, 
    return_value=0xbf80e150, n_param_values=2, param_values=0xbf80e22c, 
    invocation_hint=0xbf80e13c) at gclosure.c:490
#79 0x008d0a83 in signal_emit_unlocked_R (node=0xa1eaa58, detail=0, 
    instance=0xa46b860, emission_return=0xbf80e3ec, 
    instance_and_params=0xbf80e22c) at gsignal.c:2478
#80 0x008d171f in IA__g_signal_emit_valist (instance=0xa46b860, signal_id=90, 
    detail=0, var_args=<value optimized out>) at gsignal.c:2209
#81 0x008d1b19 in IA__g_signal_emit (instance=0xa46b860, signal_id=90, 
    detail=0) at gsignal.c:2243
#82 0x0123ab48 in gtk_widget_event_internal (widget=0xa46b860, 
    event=0xbf80e524) at gtkwidget.c:3915
#83 0x01120424 in IA__gtk_main_do_event (event=0xbf80e524) at gtkmain.c:1533
#84 0x009d065f in gdk_window_process_updates_internal (window=0xa57a218)
    at gdkwindow.c:2338
---Type <return> to continue, or q <return> to quit---
#85 0x009d0897 in IA__gdk_window_process_all_updates () at gdkwindow.c:2401
#86 0x0108f6c2 in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1113
#87 0x00b008c1 in g_idle_dispatch (source=0xad6cadc0, callback=0xffffffff, 
    user_data=0x0) at gmain.c:3928
#88 0x00b02622 in IA__g_main_context_dispatch (context=0x9f207f0)
    at gmain.c:2045
#89 0x00b055ff in g_main_context_iterate (context=0x9f207f0, block=1, 
    dispatch=1, self=0x9efd648) at gmain.c:2677
#90 0x00b059a9 in IA__g_main_loop_run (loop=0x9f394d0) at gmain.c:2881
#91 0x0067e7e3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#92 0x0805ebc6 in main (argc=2, argv=0xbf80e914) at main.c:610


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-04-03 19:45:21 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Kjartan Maraas 2008-04-07 09:01:02 EDT
Cannot reproduce this any more. Closing.

Note You need to log in before you can comment on or make changes to this bug.